Bug 1252336 - WARNING: CPU: 3 PID: 827 at lib/dma-debug.c:1169 check_for_stack+0x94/0xe0()
WARNING: CPU: 3 PID: 827 at lib/dma-debug.c:1169 check_for_stack+0x94/0xe0()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 04:16 EDT by poma
Modified: 2015-09-04 09:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 00:51:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description poma 2015-08-11 04:16:08 EDT
[   43.378891] ------------[ cut here ]------------
[   43.379505] WARNING: CPU: 3 PID: 827 at lib/dma-debug.c:1169 check_for_stack+0x94/0xe0()
[   43.380100] ehci-pci 0000:00:02.1: DMA-API: device driver maps memory from stack [addr=ffff8800bc6dfa3c]
[   43.380673] Modules linked in: ... mt7601u(+) mac80211 ... cfg80211 rfkill ...
[   43.384779] CPU: 3 PID: 827 Comm: systemd-udevd Not tainted 4.2.0-0.rc6.git0.1.fc24.x86_64+debug #1
...
[   43.388131] Call Trace:
[   43.388776]  [<ffffffff81868d8e>] dump_stack+0x4c/0x65
[   43.389406]  [<ffffffff810ab406>] warn_slowpath_common+0x86/0xc0
[   43.390044]  [<ffffffff810ab495>] warn_slowpath_fmt+0x55/0x70
[   43.390668]  [<ffffffff81871e26>] ? _raw_spin_unlock_irqrestore+0x36/0x60
[   43.391306]  [<ffffffff81450044>] check_for_stack+0x94/0xe0
[   43.391943]  [<ffffffff8145062b>] debug_dma_map_page+0xfb/0x140
[   43.392558]  [<ffffffff81614eb8>] usb_hcd_map_urb_for_dma+0x608/0x760
[   43.393199]  [<ffffffff8161548d>] usb_hcd_submit_urb+0x1cd/0xab0
[   43.393815]  [<ffffffff8110315f>] ? save_trace+0x3f/0xc0
[   43.394407]  [<ffffffff81106edd>] ? mark_held_locks+0x7d/0xb0
[   43.395016]  [<ffffffff8110ddd5>] ? __raw_spin_lock_init+0x25/0x60
[   43.395608]  [<ffffffff81103b73>] ? lockdep_init_map+0x73/0x640
[   43.396212]  [<ffffffff81107039>] ? trace_hardirqs_on_caller+0x129/0x1b0
[   43.396826]  [<ffffffff8161707c>] usb_submit_urb+0x3fc/0x5a0
[   43.397414]  [<ffffffff81617947>] usb_start_wait_urb+0x77/0x180
[   43.398013]  [<ffffffff8124a83e>] ? __kmalloc+0x28e/0x360
[   43.398598]  [<ffffffff81617b2c>] usb_control_msg+0xdc/0x130
[   43.399214]  [<ffffffffa0850510>] mt7601u_vendor_request+0xf0/0x310 [mt7601u]
[   43.399819]  [<ffffffff8186f4dc>] ? __mutex_unlock_slowpath+0xbc/0x180
[   43.400419]  [<ffffffffa08507b9>] mt7601u_rr+0x59/0x280 [mt7601u]
[   43.401039]  [<ffffffff8161b738>] ? usb_autosuspend_device+0x28/0x30
[   43.401631]  [<ffffffffa0857c93>] mt7601u_wait_asic_ready+0x23/0x60 [mt7601u]
[   43.402244]  [<ffffffffa0850ac0>] mt7601u_probe+0xe0/0x220 [mt7601u]
[   43.402836]  [<ffffffff8161c03b>] usb_probe_interface+0x1bb/0x2e0
[   43.403413]  [<ffffffff81579f26>] driver_probe_device+0x1f6/0x450
[   43.404004]  [<ffffffff8157a214>] __driver_attach+0x94/0xa0
[   43.404570]  [<ffffffff8157a180>] ? driver_probe_device+0x450/0x450
[   43.405159]  [<ffffffff815778f3>] bus_for_each_dev+0x73/0xc0
[   43.405732]  [<ffffffff815796fe>] driver_attach+0x1e/0x20
[   43.406325]  [<ffffffff8157922e>] bus_add_driver+0x1ee/0x280
[   43.406929]  [<ffffffff8157b0a0>] driver_register+0x60/0xe0
[   43.407503]  [<ffffffff8161a87d>] usb_register_driver+0xad/0x160
[   43.408100]  [<ffffffffa086e000>] ? 0xffffffffa086e000
[   43.408674]  [<ffffffffa086e01e>] mt7601u_driver_init+0x1e/0x20 [mt7601u]
[   43.409278]  [<ffffffff81002123>] do_one_initcall+0xb3/0x200
[   43.409870]  [<ffffffff8124ac65>] ? kmem_cache_alloc_trace+0x355/0x380
[   43.410435]  [<ffffffff81867c37>] ? do_init_module+0x28/0x1e9
[   43.411014]  [<ffffffff81867c6f>] do_init_module+0x60/0x1e9
[   43.411558]  [<ffffffff81154167>] load_module+0x21f7/0x28d0
[   43.412112]  [<ffffffff8114f600>] ? m_show+0x1b0/0x1b0
[   43.412638]  [<ffffffff81026d79>] ? sched_clock+0x9/0x10
[   43.413175]  [<ffffffff810e6ddc>] ? local_clock+0x1c/0x20
[   43.413681]  [<ffffffff811549b8>] SyS_init_module+0x178/0x1c0
[   43.414204]  [<ffffffff8187282e>] entry_SYSCALL_64_fastpath+0x12/0x76
[   43.414695] ---[ end trace 0c0ff6cd25624338 ]---
Comment 2 poma 2015-09-04 09:57:54 EDT
4.3.0-0.rc0.git6.1.fc24.x86_64 OK

Note You need to log in before you can comment on or make changes to this bug.